﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using WindowsPhoneAuth.CompanyService;


namespace WindowsPhoneAuth
{
  public partial class MainPage : PhoneApplicationPage
  {
    readonly CookieContainer _coockieContainer = new CookieContainer();
    // Constructor
    public MainPage()
    {
      InitializeComponent();
      
    }

    private void Authenticate(string userName,string password)
    {
      var authService = new AuthenticationService.AuthenticationServiceClient();
      authService.CookieContainer = _coockieContainer;
      authService.LoginCompleted += authService_LoginCompleted;
      authService.LoginAsync(userName,password,"",true);
    }

    void client_GetCompanyNameCompleted(object sender, GetCompanyNameCompletedEventArgs e)
    {
      MessageBox.Show("Your company name is: " + e.Result);
    }

    void authService_LoginCompleted(object sender, AuthenticationService.LoginCompletedEventArgs e)
    {
      if (e.Error != null)
      {
        MessageBox.Show("Login service call problems.");
      }
      else
      {
        lblLoginStatus.Text = "You are logged in: " + e.Result;
      }

    }

    private void GetCompanyName()
    {
      var client = new CompanyServiceClient();
      client.CookieContainer = _coockieContainer;
      client.GetCompanyNameCompleted += client_GetCompanyNameCompleted;
      client.GetCompanyNameAsync();
    }

    private void button1_Click(object sender, RoutedEventArgs e)
    {
      Authenticate(txtUserName.Text,txtPassword.Text);
    }

    private void button2_Click(object sender, RoutedEventArgs e)
    {
      GetCompanyName();
    }
  }
}